Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_POA_Helper Class Reference

POA Abstraction. More...

`#include <POA_Helper.h>`

Inheritance diagram for TAO_NS_POA_Helper:

[legend]
Collaboration diagram for TAO_NS_POA_Helper:

[legend]
List of all members.

## Public Methods
| TAO_NS_POA_Helper (void)
| Default Constructor. More...
void | init (PortableServer::POA_ptr parent_poa, const char *poa_name ACE_ENV_ARG_DECL)
| Create a new PortableServer::POA. More...
void | init (PortableServer::POA_ptr parent_poa ACE_ENV_ARG_DECL)
| Create a new PortableServer::POA. The name is chosen at random. More...
virtual | ~TAO_NS_POA_Helper ()
| Destructor. More...
PortableServer::POA_ptr | poa (void)
| Get underlying POA. More...
void | destroy (ACE_ENV_SINGLE_ARG_DECL)
| Destroy underlying POA. More...
CORBA::Object_ptr | activate (PortableServer::Servant servant, CORBA::Long &id ACE_ENV_ARG_DECL)
| Activate Object, the POA will assign an ID and return its value. More...
void | deactivate (CORBA::Long id ACE_ENV_ARG_DECL) const
| Deactivate Object with ID. More...
CORBA::Object_ptr | id_to_reference (CORBA::Long id ACE_ENV_ARG_DECL) const
| Convert ID to reference. More...
## Protected Methods
virtual void | set_policy (PortableServer::POA_ptr parent_poa, CORBA::PolicyList &policy_list ACE_ENV_ARG_DECL)
| Set default POA policies. More...
void | create_i (PortableServer::POA_ptr parent_poa, const char *poa_name, CORBA::PolicyList &policy_list ACE_ENV_ARG_DECL)
| Apply the polices and create child POA. More...
PortableServer::ObjectId * | long_to_ObjectId (CORBA::Long id ACE_ENV_ARG_DECL) const
| Convert id to ObjectID. More...
## Protected Attributes
PortableServer::POA_var | poa_
| POA. More...
TAO_NS_ID_Factory | id_factory_
| ID Factory. More...

## Detailed Description

POA Abstraction.

## Constructor & Destructor Documentation

TAO_NS_POA_Helper::TAO_NS_POA_Helper | ( | void |  | ) |

| Default Constructor.

TAO_NS_POA_Helper::~TAO_NS_POA_Helper | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

CORBA::Object_ptr TAO_NS_POA_Helper::activate | ( | PortableServer::Servant | servant,
|  | CORBA::Long &id | ACE_ENV_ARG_DECL
| ) |

| Activate Object, the POA will assign an ID and return its value.

void TAO_NS_POA_Helper::create_i | ( | PortableServer::POA_ptr | parent_poa,
|  | const char * | poa_name,
|  | CORBA::PolicyList &policy_list | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Apply the polices and create child POA.

void TAO_NS_POA_Helper::deactivate | ( | CORBA::Long id | ACE_ENV_ARG_DECL | ) | const

| Deactivate Object with ID.

void TAO_NS_POA_Helper::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Destroy underlying POA.

CORBA::Object_ptr TAO_NS_POA_Helper::id_to_reference | ( | CORBA::Long id | ACE_ENV_ARG_DECL | ) | const

| Convert ID to reference.

void TAO_NS_POA_Helper::init | ( | PortableServer::POA_ptr parent_poa | ACE_ENV_ARG_DECL | ) |

| Create a new PortableServer::POA. The name is chosen at random.

void TAO_NS_POA_Helper::init | ( | PortableServer::POA_ptr | parent_poa,
|  | const char *poa_name | ACE_ENV_ARG_DECL
| ) |

| Create a new PortableServer::POA.

PortableServer::ObjectId * TAO_NS_POA_Helper::long_to_ObjectId | ( | CORBA::Long id | ACE_ENV_ARG_DECL | ) | const`[protected]`

| Convert id to ObjectID.

PortableServer::POA_ptr TAO_NS_POA_Helper::poa | ( | void |  | ) |

| Get underlying POA.

void TAO_NS_POA_Helper::set_policy | ( | PortableServer::POA_ptr | parent_poa,
|  | CORBA::PolicyList &policy_list | ACE_ENV_ARG_DECL
| ) | `[protected, virtual]`

| Set default POA policies.

## Member Data Documentation

TAO_NS_ID_Factory TAO_NS_POA_Helper::id_factory_`[protected]`

| ID Factory.

PortableServer::POA_var TAO_NS_POA_Helper::poa_`[protected]`

| POA.

The documentation for this class was generated from the following files:

- POA_Helper.h
- POA_Helper.cpp